summaryrefslogtreecommitdiff
path: root/build-aux/csharpexec.sh.in
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2006-07-22 14:32:41 +0000
committerBruno Haible <bruno@clisp.org>2006-07-22 14:32:41 +0000
commit136b57a7fdd137b610932c774d8ff9edbcfab580 (patch)
treea97aeff5b6c3faca4c89701728d7cb8dceefa99d /build-aux/csharpexec.sh.in
parentb7b797042fa5f79590c77cad90fb073dccd960b2 (diff)
downloadgnulib-136b57a7fdd137b610932c774d8ff9edbcfab580.tar.gz
Update csharpexec module from GNU gettext.
Diffstat (limited to 'build-aux/csharpexec.sh.in')
-rw-r--r--build-aux/csharpexec.sh.in18
1 files changed, 15 insertions, 3 deletions
diff --git a/build-aux/csharpexec.sh.in b/build-aux/csharpexec.sh.in
index 98694091dd..66c0a6b85b 100644
--- a/build-aux/csharpexec.sh.in
+++ b/build-aux/csharpexec.sh.in
@@ -1,7 +1,7 @@
#!/bin/sh
# Execute a C# program.
-# Copyright (C) 2003 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2005 Free Software Foundation, Inc.
# Written by Bruno Haible <bruno@clisp.org>, 2003.
#
# This program is free software; you can redistribute it and/or modify
@@ -78,7 +78,19 @@ else
test -z "$CSHARP_VERBOSE" || echo mono "$@"
exec mono "$@"
else
- echo 'C# virtual machine not found, try installing pnet, then reconfigure' 1>&2
- exit 1
+ if test -n "@HAVE_CLIX@"; then
+ CONF_CLIX_PATH='@CLIX_PATH@'
+ if test -n "$libdirs_mono"; then
+ @CLIX_PATH_VAR@="$libdirs_mono${CONF_CLIX_PATH:+@MONO_PATH_SEPARATOR@$CONF_CLIX_PATH}"
+ else
+ @CLIX_PATH_VAR@="$CONF_CLIX_PATH"
+ fi
+ export @CLIX_PATH_VAR@
+ test -z "$CSHARP_VERBOSE" || echo clix "$@"
+ exec clix "$@"
+ else
+ echo 'C# virtual machine not found, try installing pnet, then reconfigure' 1>&2
+ exit 1
+ fi
fi
fi